Skip to main content
GET
/
api
/
v1
/
analytics
/
messages
Cursor-paginated raw message export
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/analytics/messages \
  --header 'Authorization: Bearer <token>'
{
  "meta": {},
  "messages": [
    {
      "message_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "whatsapp",
      "channel_label": "Whatsapp",
      "direction": "inbound",
      "sender": "<string>",
      "message_type": "<string>",
      "content": "<string>",
      "content_disclosure": "raw",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true,
    "limit": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.mindhunters.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

from
string<date-time>
required
to
string<date-time>
required
channel
string
Example:

"whatsapp"

agent_uuid
string<uuid>
campaign_uuid
string<uuid>
limit
integer
default:500

1..1000, default 500

Required range: 1 <= x <= 1000
cursor
string

Opaque cursor from a previous response's pagination.next_cursor

Response

OK

meta
object
messages
object[]
pagination
object